Groovy 1.7.0

## groovy.sql
Class CallResultSet

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.sql.GroovyResultSetExtension
              groovy.sql.CallResultSet

    class CallResultSet
    extends GroovyResultSetExtension

author:
  rfuller Represents a ResultSet retrieved as a callable statement out parameter.

Field Summary
`CallableStatement` | `call`
`boolean` | `firstCall`
`int` | `indx`
`ResultSet` | `resultSet`

Constructor Summary
`CallResultSet(CallableStatement call, int indx)`

Method Summary
`protected static GroovyResultSet` | `getImpl(CallableStatement call, int idx)`
`protected ResultSet` | `getResultSet()`

Methods inherited from class GroovyResultSetExtension
add, eachRow, getAt, getProperty, getResultSet, invokeMethod, next, normalizeIndex, previous, putAt, setProperty, toString

Methods inherited from class GroovyObjectSupport
getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### call

    CallableStatement call

### firstCall

    boolean firstCall

### indx

    int indx

### resultSet

    ResultSet resultSet

Constructor Detail

### CallResultSet

    public CallResultSet(CallableStatement call, int indx)

Method Detail

### getImpl

    protected static GroovyResultSet getImpl(CallableStatement call, int idx)

### getResultSet

    protected ResultSet getResultSet()

Copyright © 2003-2009 The Codehaus. All rights reserved.